import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { MatDialog, MatDialogRef } from "@angular/material/dialog";
import { TranslateLibraryService } from "../../../services/translation-registry.service";
import RappidService from '../../common/flowchart/service/kitchensink-service';
import { QMSCKEditorFlowchartTemplate } from "../../common/models/qms-ckeditor-flowchart-template.model";
import { QMSCKEditorFlowchart } from "../../common/models/qms-ckeditor-flowchart.model";
import { QMSCKEditorBaseComponent } from "../../qms-ckeditor-base.component";
import { QMSCKEditorFlowchartService } from "../../services/qms-ckeditor-flowchart.service";
export declare class QMSCKEditorFlowchartComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewInit {
    private dialog;
    private element;
    private translate;
    private flowchartService;
    dialogRef: MatDialogRef<QMSCKEditorFlowchartComponent>;
    data: string;
    LANG: any;
    jsonContent: string;
    rappid: RappidService;
    id: string;
    flowchart: QMSCKEditorFlowchart;
    flowchartTemplates: QMSCKEditorFlowchartTemplate[];
    toolbarConfig: any;
    constructor(dialog: MatDialog, element: ElementRef, translate: TranslateLibraryService, flowchartService: QMSCKEditorFlowchartService, dialogRef: MatDialogRef<QMSCKEditorFlowchartComponent>, data: string);
    onMessage(event: any): void;
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): Promise<void>;
    getJsonContent(id: string): Promise<string>;
    getTemplates(): Promise<QMSCKEditorFlowchartTemplate[]>;
    initializeTemplates(templates: QMSCKEditorFlowchartTemplate[]): void;
    addItem2Template(template?: QMSCKEditorFlowchartTemplate): void;
    removeSelectedValue(flowChartId?: string): void;
    setDefaultSelectedValue(): void;
    saveImageContent(): Promise<unknown>;
    onInsertImage(): Promise<void>;
    onChangeTemplate(): void;
    onDeleteTemplate(title: string, content: string): void;
    onSaveAsTemplate(): void;
    onResetTemplate(): void;
    showInfoMessage(title: string, content: string): void;
    onCloseDialog(): void;
}
